IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network55.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
- Network address
55.128.0.0- Broadcast address
55.255.255.255- First usable
55.128.0.1- Last usable
55.255.255.254- Usable hosts
- 8,388,606 (8,388,608 less the network and broadcast addresses)
- Subnet mask
255.128.0.0- Wildcard mask
0.127.255.255(Cisco ACLs, OSPF)- Prefix length
- /9
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
37800000· Integer931135488to939524095 - Reverse DNS zones
128.55.in-addr.arpa129.55.in-addr.arpa130.55.in-addr.arpa131.55.in-addr.arpa132.55.in-addr.arpa133.55.in-addr.arpa134.55.in-addr.arpa135.55.in-addr.arpa136.55.in-addr.arpa137.55.in-addr.arpa138.55.in-addr.arpa139.55.in-addr.arpa140.55.in-addr.arpa141.55.in-addr.arpa142.55.in-addr.arpa143.55.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00110111.10000000.00000000.00000000 | 55.128.0.0 |
| Subnet mask | 11111111.10000000.00000000.00000000 | 255.128.0.0 |
| Network | 00110111.10000000.00000000.00000000 | 55.128.0.0 |
| Broadcast | 00110111.11111111.11111111.11111111 | 55.255.255.255 |
Split into smaller subnets
/10 (2)/11 (4)/12 (8)/13 (16)/14 (32)/15 (64)/16 (128)/17 (256)/18 (512)/19 (1,024)/20 (2,048)/21 (4,096)
55.128.0.0/9 makes 256 subnets of /17.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 55.128.0.0/17 | 55.128.0.1 to 55.128.127.254 | 55.128.127.255 | 32,766 |
| 2 | 55.128.128.0/17 | 55.128.128.1 to 55.128.255.254 | 55.128.255.255 | 32,766 |
| 3 | 55.129.0.0/17 | 55.129.0.1 to 55.129.127.254 | 55.129.127.255 | 32,766 |
| 4 | 55.129.128.0/17 | 55.129.128.1 to 55.129.255.254 | 55.129.255.255 | 32,766 |
| 5 | 55.130.0.0/17 | 55.130.0.1 to 55.130.127.254 | 55.130.127.255 | 32,766 |
| 6 | 55.130.128.0/17 | 55.130.128.1 to 55.130.255.254 | 55.130.255.255 | 32,766 |
| 7 | 55.131.0.0/17 | 55.131.0.1 to 55.131.127.254 | 55.131.127.255 | 32,766 |
| 8 | 55.131.128.0/17 | 55.131.128.1 to 55.131.255.254 | 55.131.255.255 | 32,766 |
| 9 | 55.132.0.0/17 | 55.132.0.1 to 55.132.127.254 | 55.132.127.255 | 32,766 |
| 10 | 55.132.128.0/17 | 55.132.128.1 to 55.132.255.254 | 55.132.255.255 | 32,766 |
| 11 | 55.133.0.0/17 | 55.133.0.1 to 55.133.127.254 | 55.133.127.255 | 32,766 |
| 12 | 55.133.128.0/17 | 55.133.128.1 to 55.133.255.254 | 55.133.255.255 | 32,766 |
| 13 | 55.134.0.0/17 | 55.134.0.1 to 55.134.127.254 | 55.134.127.255 | 32,766 |
| 14 | 55.134.128.0/17 | 55.134.128.1 to 55.134.255.254 | 55.134.255.255 | 32,766 |
| 15 | 55.135.0.0/17 | 55.135.0.1 to 55.135.127.254 | 55.135.127.255 | 32,766 |
| 16 | 55.135.128.0/17 | 55.135.128.1 to 55.135.255.254 | 55.135.255.255 | 32,766 |
| 17 | 55.136.0.0/17 | 55.136.0.1 to 55.136.127.254 | 55.136.127.255 | 32,766 |
| 18 | 55.136.128.0/17 | 55.136.128.1 to 55.136.255.254 | 55.136.255.255 | 32,766 |
| 19 | 55.137.0.0/17 | 55.137.0.1 to 55.137.127.254 | 55.137.127.255 | 32,766 |
| 20 | 55.137.128.0/17 | 55.137.128.1 to 55.137.255.254 | 55.137.255.255 | 32,766 |
| 21 | 55.138.0.0/17 | 55.138.0.1 to 55.138.127.254 | 55.138.127.255 | 32,766 |
| 22 | 55.138.128.0/17 | 55.138.128.1 to 55.138.255.254 | 55.138.255.255 | 32,766 |
| 23 | 55.139.0.0/17 | 55.139.0.1 to 55.139.127.254 | 55.139.127.255 | 32,766 |
| 24 | 55.139.128.0/17 | 55.139.128.1 to 55.139.255.254 | 55.139.255.255 | 32,766 |
| 25 | 55.140.0.0/17 | 55.140.0.1 to 55.140.127.254 | 55.140.127.255 | 32,766 |
| 26 | 55.140.128.0/17 | 55.140.128.1 to 55.140.255.254 | 55.140.255.255 | 32,766 |
| 27 | 55.141.0.0/17 | 55.141.0.1 to 55.141.127.254 | 55.141.127.255 | 32,766 |
| 28 | 55.141.128.0/17 | 55.141.128.1 to 55.141.255.254 | 55.141.255.255 | 32,766 |
| 29 | 55.142.0.0/17 | 55.142.0.1 to 55.142.127.254 | 55.142.127.255 | 32,766 |
| 30 | 55.142.128.0/17 | 55.142.128.1 to 55.142.255.254 | 55.142.255.255 | 32,766 |
| 31 | 55.143.0.0/17 | 55.143.0.1 to 55.143.127.254 | 55.143.127.255 | 32,766 |
| 32 | 55.143.128.0/17 | 55.143.128.1 to 55.143.255.254 | 55.143.255.255 | 32,766 |
| 33 | 55.144.0.0/17 | 55.144.0.1 to 55.144.127.254 | 55.144.127.255 | 32,766 |
| 34 | 55.144.128.0/17 | 55.144.128.1 to 55.144.255.254 | 55.144.255.255 | 32,766 |
| 35 | 55.145.0.0/17 | 55.145.0.1 to 55.145.127.254 | 55.145.127.255 | 32,766 |
| 36 | 55.145.128.0/17 | 55.145.128.1 to 55.145.255.254 | 55.145.255.255 | 32,766 |
| 37 | 55.146.0.0/17 | 55.146.0.1 to 55.146.127.254 | 55.146.127.255 | 32,766 |
| 38 | 55.146.128.0/17 | 55.146.128.1 to 55.146.255.254 | 55.146.255.255 | 32,766 |
| 39 | 55.147.0.0/17 | 55.147.0.1 to 55.147.127.254 | 55.147.127.255 | 32,766 |
| 40 | 55.147.128.0/17 | 55.147.128.1 to 55.147.255.254 | 55.147.255.255 | 32,766 |
| 41 | 55.148.0.0/17 | 55.148.0.1 to 55.148.127.254 | 55.148.127.255 | 32,766 |
| 42 | 55.148.128.0/17 | 55.148.128.1 to 55.148.255.254 | 55.148.255.255 | 32,766 |
| 43 | 55.149.0.0/17 | 55.149.0.1 to 55.149.127.254 | 55.149.127.255 | 32,766 |
| 44 | 55.149.128.0/17 | 55.149.128.1 to 55.149.255.254 | 55.149.255.255 | 32,766 |
| 45 | 55.150.0.0/17 | 55.150.0.1 to 55.150.127.254 | 55.150.127.255 | 32,766 |
| 46 | 55.150.128.0/17 | 55.150.128.1 to 55.150.255.254 | 55.150.255.255 | 32,766 |
| 47 | 55.151.0.0/17 | 55.151.0.1 to 55.151.127.254 | 55.151.127.255 | 32,766 |
| 48 | 55.151.128.0/17 | 55.151.128.1 to 55.151.255.254 | 55.151.255.255 | 32,766 |
| 49 | 55.152.0.0/17 | 55.152.0.1 to 55.152.127.254 | 55.152.127.255 | 32,766 |
| 50 | 55.152.128.0/17 | 55.152.128.1 to 55.152.255.254 | 55.152.255.255 | 32,766 |
| 51 | 55.153.0.0/17 | 55.153.0.1 to 55.153.127.254 | 55.153.127.255 | 32,766 |
| 52 | 55.153.128.0/17 | 55.153.128.1 to 55.153.255.254 | 55.153.255.255 | 32,766 |
| 53 | 55.154.0.0/17 | 55.154.0.1 to 55.154.127.254 | 55.154.127.255 | 32,766 |
| 54 | 55.154.128.0/17 | 55.154.128.1 to 55.154.255.254 | 55.154.255.255 | 32,766 |
| 55 | 55.155.0.0/17 | 55.155.0.1 to 55.155.127.254 | 55.155.127.255 | 32,766 |
| 56 | 55.155.128.0/17 | 55.155.128.1 to 55.155.255.254 | 55.155.255.255 | 32,766 |
| 57 | 55.156.0.0/17 | 55.156.0.1 to 55.156.127.254 | 55.156.127.255 | 32,766 |
| 58 | 55.156.128.0/17 | 55.156.128.1 to 55.156.255.254 | 55.156.255.255 | 32,766 |
| 59 | 55.157.0.0/17 | 55.157.0.1 to 55.157.127.254 | 55.157.127.255 | 32,766 |
| 60 | 55.157.128.0/17 | 55.157.128.1 to 55.157.255.254 | 55.157.255.255 | 32,766 |
| 61 | 55.158.0.0/17 | 55.158.0.1 to 55.158.127.254 | 55.158.127.255 | 32,766 |
| 62 | 55.158.128.0/17 | 55.158.128.1 to 55.158.255.254 | 55.158.255.255 | 32,766 |
| 63 | 55.159.0.0/17 | 55.159.0.1 to 55.159.127.254 | 55.159.127.255 | 32,766 |
| 64 | 55.159.128.0/17 | 55.159.128.1 to 55.159.255.254 | 55.159.255.255 | 32,766 |
| 65 | 55.160.0.0/17 | 55.160.0.1 to 55.160.127.254 | 55.160.127.255 | 32,766 |
| 66 | 55.160.128.0/17 | 55.160.128.1 to 55.160.255.254 | 55.160.255.255 | 32,766 |
| 67 | 55.161.0.0/17 | 55.161.0.1 to 55.161.127.254 | 55.161.127.255 | 32,766 |
| 68 | 55.161.128.0/17 | 55.161.128.1 to 55.161.255.254 | 55.161.255.255 | 32,766 |
| 69 | 55.162.0.0/17 | 55.162.0.1 to 55.162.127.254 | 55.162.127.255 | 32,766 |
| 70 | 55.162.128.0/17 | 55.162.128.1 to 55.162.255.254 | 55.162.255.255 | 32,766 |
| 71 | 55.163.0.0/17 | 55.163.0.1 to 55.163.127.254 | 55.163.127.255 | 32,766 |
| 72 | 55.163.128.0/17 | 55.163.128.1 to 55.163.255.254 | 55.163.255.255 | 32,766 |
| 73 | 55.164.0.0/17 | 55.164.0.1 to 55.164.127.254 | 55.164.127.255 | 32,766 |
| 74 | 55.164.128.0/17 | 55.164.128.1 to 55.164.255.254 | 55.164.255.255 | 32,766 |
| 75 | 55.165.0.0/17 | 55.165.0.1 to 55.165.127.254 | 55.165.127.255 | 32,766 |
| 76 | 55.165.128.0/17 | 55.165.128.1 to 55.165.255.254 | 55.165.255.255 | 32,766 |
| 77 | 55.166.0.0/17 | 55.166.0.1 to 55.166.127.254 | 55.166.127.255 | 32,766 |
| 78 | 55.166.128.0/17 | 55.166.128.1 to 55.166.255.254 | 55.166.255.255 | 32,766 |
| 79 | 55.167.0.0/17 | 55.167.0.1 to 55.167.127.254 | 55.167.127.255 | 32,766 |
| 80 | 55.167.128.0/17 | 55.167.128.1 to 55.167.255.254 | 55.167.255.255 | 32,766 |
| 81 | 55.168.0.0/17 | 55.168.0.1 to 55.168.127.254 | 55.168.127.255 | 32,766 |
| 82 | 55.168.128.0/17 | 55.168.128.1 to 55.168.255.254 | 55.168.255.255 | 32,766 |
| 83 | 55.169.0.0/17 | 55.169.0.1 to 55.169.127.254 | 55.169.127.255 | 32,766 |
| 84 | 55.169.128.0/17 | 55.169.128.1 to 55.169.255.254 | 55.169.255.255 | 32,766 |
| 85 | 55.170.0.0/17 | 55.170.0.1 to 55.170.127.254 | 55.170.127.255 | 32,766 |
| 86 | 55.170.128.0/17 | 55.170.128.1 to 55.170.255.254 | 55.170.255.255 | 32,766 |
| 87 | 55.171.0.0/17 | 55.171.0.1 to 55.171.127.254 | 55.171.127.255 | 32,766 |
| 88 | 55.171.128.0/17 | 55.171.128.1 to 55.171.255.254 | 55.171.255.255 | 32,766 |
| 89 | 55.172.0.0/17 | 55.172.0.1 to 55.172.127.254 | 55.172.127.255 | 32,766 |
| 90 | 55.172.128.0/17 | 55.172.128.1 to 55.172.255.254 | 55.172.255.255 | 32,766 |
| 91 | 55.173.0.0/17 | 55.173.0.1 to 55.173.127.254 | 55.173.127.255 | 32,766 |
| 92 | 55.173.128.0/17 | 55.173.128.1 to 55.173.255.254 | 55.173.255.255 | 32,766 |
| 93 | 55.174.0.0/17 | 55.174.0.1 to 55.174.127.254 | 55.174.127.255 | 32,766 |
| 94 | 55.174.128.0/17 | 55.174.128.1 to 55.174.255.254 | 55.174.255.255 | 32,766 |
| 95 | 55.175.0.0/17 | 55.175.0.1 to 55.175.127.254 | 55.175.127.255 | 32,766 |
| 96 | 55.175.128.0/17 | 55.175.128.1 to 55.175.255.254 | 55.175.255.255 | 32,766 |
| 97 | 55.176.0.0/17 | 55.176.0.1 to 55.176.127.254 | 55.176.127.255 | 32,766 |
| 98 | 55.176.128.0/17 | 55.176.128.1 to 55.176.255.254 | 55.176.255.255 | 32,766 |
| 99 | 55.177.0.0/17 | 55.177.0.1 to 55.177.127.254 | 55.177.127.255 | 32,766 |
| 100 | 55.177.128.0/17 | 55.177.128.1 to 55.177.255.254 | 55.177.255.255 | 32,766 |
| 101 | 55.178.0.0/17 | 55.178.0.1 to 55.178.127.254 | 55.178.127.255 | 32,766 |
| 102 | 55.178.128.0/17 | 55.178.128.1 to 55.178.255.254 | 55.178.255.255 | 32,766 |
| 103 | 55.179.0.0/17 | 55.179.0.1 to 55.179.127.254 | 55.179.127.255 | 32,766 |
| 104 | 55.179.128.0/17 | 55.179.128.1 to 55.179.255.254 | 55.179.255.255 | 32,766 |
| 105 | 55.180.0.0/17 | 55.180.0.1 to 55.180.127.254 | 55.180.127.255 | 32,766 |
| 106 | 55.180.128.0/17 | 55.180.128.1 to 55.180.255.254 | 55.180.255.255 | 32,766 |
| 107 | 55.181.0.0/17 | 55.181.0.1 to 55.181.127.254 | 55.181.127.255 | 32,766 |
| 108 | 55.181.128.0/17 | 55.181.128.1 to 55.181.255.254 | 55.181.255.255 | 32,766 |
| 109 | 55.182.0.0/17 | 55.182.0.1 to 55.182.127.254 | 55.182.127.255 | 32,766 |
| 110 | 55.182.128.0/17 | 55.182.128.1 to 55.182.255.254 | 55.182.255.255 | 32,766 |
| 111 | 55.183.0.0/17 | 55.183.0.1 to 55.183.127.254 | 55.183.127.255 | 32,766 |
| 112 | 55.183.128.0/17 | 55.183.128.1 to 55.183.255.254 | 55.183.255.255 | 32,766 |
| 113 | 55.184.0.0/17 | 55.184.0.1 to 55.184.127.254 | 55.184.127.255 | 32,766 |
| 114 | 55.184.128.0/17 | 55.184.128.1 to 55.184.255.254 | 55.184.255.255 | 32,766 |
| 115 | 55.185.0.0/17 | 55.185.0.1 to 55.185.127.254 | 55.185.127.255 | 32,766 |
| 116 | 55.185.128.0/17 | 55.185.128.1 to 55.185.255.254 | 55.185.255.255 | 32,766 |
| 117 | 55.186.0.0/17 | 55.186.0.1 to 55.186.127.254 | 55.186.127.255 | 32,766 |
| 118 | 55.186.128.0/17 | 55.186.128.1 to 55.186.255.254 | 55.186.255.255 | 32,766 |
| 119 | 55.187.0.0/17 | 55.187.0.1 to 55.187.127.254 | 55.187.127.255 | 32,766 |
| 120 | 55.187.128.0/17 | 55.187.128.1 to 55.187.255.254 | 55.187.255.255 | 32,766 |
| 121 | 55.188.0.0/17 | 55.188.0.1 to 55.188.127.254 | 55.188.127.255 | 32,766 |
| 122 | 55.188.128.0/17 | 55.188.128.1 to 55.188.255.254 | 55.188.255.255 | 32,766 |
| 123 | 55.189.0.0/17 | 55.189.0.1 to 55.189.127.254 | 55.189.127.255 | 32,766 |
| 124 | 55.189.128.0/17 | 55.189.128.1 to 55.189.255.254 | 55.189.255.255 | 32,766 |
| 125 | 55.190.0.0/17 | 55.190.0.1 to 55.190.127.254 | 55.190.127.255 | 32,766 |
| 126 | 55.190.128.0/17 | 55.190.128.1 to 55.190.255.254 | 55.190.255.255 | 32,766 |
| 127 | 55.191.0.0/17 | 55.191.0.1 to 55.191.127.254 | 55.191.127.255 | 32,766 |
| 128 | 55.191.128.0/17 | 55.191.128.1 to 55.191.255.254 | 55.191.255.255 | 32,766 |
| 129 | 55.192.0.0/17 | 55.192.0.1 to 55.192.127.254 | 55.192.127.255 | 32,766 |
| 130 | 55.192.128.0/17 | 55.192.128.1 to 55.192.255.254 | 55.192.255.255 | 32,766 |
| 131 | 55.193.0.0/17 | 55.193.0.1 to 55.193.127.254 | 55.193.127.255 | 32,766 |
| 132 | 55.193.128.0/17 | 55.193.128.1 to 55.193.255.254 | 55.193.255.255 | 32,766 |
| 133 | 55.194.0.0/17 | 55.194.0.1 to 55.194.127.254 | 55.194.127.255 | 32,766 |
| 134 | 55.194.128.0/17 | 55.194.128.1 to 55.194.255.254 | 55.194.255.255 | 32,766 |
| 135 | 55.195.0.0/17 | 55.195.0.1 to 55.195.127.254 | 55.195.127.255 | 32,766 |
| 136 | 55.195.128.0/17 | 55.195.128.1 to 55.195.255.254 | 55.195.255.255 | 32,766 |
| 137 | 55.196.0.0/17 | 55.196.0.1 to 55.196.127.254 | 55.196.127.255 | 32,766 |
| 138 | 55.196.128.0/17 | 55.196.128.1 to 55.196.255.254 | 55.196.255.255 | 32,766 |
| 139 | 55.197.0.0/17 | 55.197.0.1 to 55.197.127.254 | 55.197.127.255 | 32,766 |
| 140 | 55.197.128.0/17 | 55.197.128.1 to 55.197.255.254 | 55.197.255.255 | 32,766 |
| 141 | 55.198.0.0/17 | 55.198.0.1 to 55.198.127.254 | 55.198.127.255 | 32,766 |
| 142 | 55.198.128.0/17 | 55.198.128.1 to 55.198.255.254 | 55.198.255.255 | 32,766 |
| 143 | 55.199.0.0/17 | 55.199.0.1 to 55.199.127.254 | 55.199.127.255 | 32,766 |
| 144 | 55.199.128.0/17 | 55.199.128.1 to 55.199.255.254 | 55.199.255.255 | 32,766 |
| 145 | 55.200.0.0/17 | 55.200.0.1 to 55.200.127.254 | 55.200.127.255 | 32,766 |
| 146 | 55.200.128.0/17 | 55.200.128.1 to 55.200.255.254 | 55.200.255.255 | 32,766 |
| 147 | 55.201.0.0/17 | 55.201.0.1 to 55.201.127.254 | 55.201.127.255 | 32,766 |
| 148 | 55.201.128.0/17 | 55.201.128.1 to 55.201.255.254 | 55.201.255.255 | 32,766 |
| 149 | 55.202.0.0/17 | 55.202.0.1 to 55.202.127.254 | 55.202.127.255 | 32,766 |
| 150 | 55.202.128.0/17 | 55.202.128.1 to 55.202.255.254 | 55.202.255.255 | 32,766 |
| 151 | 55.203.0.0/17 | 55.203.0.1 to 55.203.127.254 | 55.203.127.255 | 32,766 |
| 152 | 55.203.128.0/17 | 55.203.128.1 to 55.203.255.254 | 55.203.255.255 | 32,766 |
| 153 | 55.204.0.0/17 | 55.204.0.1 to 55.204.127.254 | 55.204.127.255 | 32,766 |
| 154 | 55.204.128.0/17 | 55.204.128.1 to 55.204.255.254 | 55.204.255.255 | 32,766 |
| 155 | 55.205.0.0/17 | 55.205.0.1 to 55.205.127.254 | 55.205.127.255 | 32,766 |
| 156 | 55.205.128.0/17 | 55.205.128.1 to 55.205.255.254 | 55.205.255.255 | 32,766 |
| 157 | 55.206.0.0/17 | 55.206.0.1 to 55.206.127.254 | 55.206.127.255 | 32,766 |
| 158 | 55.206.128.0/17 | 55.206.128.1 to 55.206.255.254 | 55.206.255.255 | 32,766 |
| 159 | 55.207.0.0/17 | 55.207.0.1 to 55.207.127.254 | 55.207.127.255 | 32,766 |
| 160 | 55.207.128.0/17 | 55.207.128.1 to 55.207.255.254 | 55.207.255.255 | 32,766 |
| 161 | 55.208.0.0/17 | 55.208.0.1 to 55.208.127.254 | 55.208.127.255 | 32,766 |
| 162 | 55.208.128.0/17 | 55.208.128.1 to 55.208.255.254 | 55.208.255.255 | 32,766 |
| 163 | 55.209.0.0/17 | 55.209.0.1 to 55.209.127.254 | 55.209.127.255 | 32,766 |
| 164 | 55.209.128.0/17 | 55.209.128.1 to 55.209.255.254 | 55.209.255.255 | 32,766 |
| 165 | 55.210.0.0/17 | 55.210.0.1 to 55.210.127.254 | 55.210.127.255 | 32,766 |
| 166 | 55.210.128.0/17 | 55.210.128.1 to 55.210.255.254 | 55.210.255.255 | 32,766 |
| 167 | 55.211.0.0/17 | 55.211.0.1 to 55.211.127.254 | 55.211.127.255 | 32,766 |
| 168 | 55.211.128.0/17 | 55.211.128.1 to 55.211.255.254 | 55.211.255.255 | 32,766 |
| 169 | 55.212.0.0/17 | 55.212.0.1 to 55.212.127.254 | 55.212.127.255 | 32,766 |
| 170 | 55.212.128.0/17 | 55.212.128.1 to 55.212.255.254 | 55.212.255.255 | 32,766 |
| 171 | 55.213.0.0/17 | 55.213.0.1 to 55.213.127.254 | 55.213.127.255 | 32,766 |
| 172 | 55.213.128.0/17 | 55.213.128.1 to 55.213.255.254 | 55.213.255.255 | 32,766 |
| 173 | 55.214.0.0/17 | 55.214.0.1 to 55.214.127.254 | 55.214.127.255 | 32,766 |
| 174 | 55.214.128.0/17 | 55.214.128.1 to 55.214.255.254 | 55.214.255.255 | 32,766 |
| 175 | 55.215.0.0/17 | 55.215.0.1 to 55.215.127.254 | 55.215.127.255 | 32,766 |
| 176 | 55.215.128.0/17 | 55.215.128.1 to 55.215.255.254 | 55.215.255.255 | 32,766 |
| 177 | 55.216.0.0/17 | 55.216.0.1 to 55.216.127.254 | 55.216.127.255 | 32,766 |
| 178 | 55.216.128.0/17 | 55.216.128.1 to 55.216.255.254 | 55.216.255.255 | 32,766 |
| 179 | 55.217.0.0/17 | 55.217.0.1 to 55.217.127.254 | 55.217.127.255 | 32,766 |
| 180 | 55.217.128.0/17 | 55.217.128.1 to 55.217.255.254 | 55.217.255.255 | 32,766 |
| 181 | 55.218.0.0/17 | 55.218.0.1 to 55.218.127.254 | 55.218.127.255 | 32,766 |
| 182 | 55.218.128.0/17 | 55.218.128.1 to 55.218.255.254 | 55.218.255.255 | 32,766 |
| 183 | 55.219.0.0/17 | 55.219.0.1 to 55.219.127.254 | 55.219.127.255 | 32,766 |
| 184 | 55.219.128.0/17 | 55.219.128.1 to 55.219.255.254 | 55.219.255.255 | 32,766 |
| 185 | 55.220.0.0/17 | 55.220.0.1 to 55.220.127.254 | 55.220.127.255 | 32,766 |
| 186 | 55.220.128.0/17 | 55.220.128.1 to 55.220.255.254 | 55.220.255.255 | 32,766 |
| 187 | 55.221.0.0/17 | 55.221.0.1 to 55.221.127.254 | 55.221.127.255 | 32,766 |
| 188 | 55.221.128.0/17 | 55.221.128.1 to 55.221.255.254 | 55.221.255.255 | 32,766 |
| 189 | 55.222.0.0/17 | 55.222.0.1 to 55.222.127.254 | 55.222.127.255 | 32,766 |
| 190 | 55.222.128.0/17 | 55.222.128.1 to 55.222.255.254 | 55.222.255.255 | 32,766 |
| 191 | 55.223.0.0/17 | 55.223.0.1 to 55.223.127.254 | 55.223.127.255 | 32,766 |
| 192 | 55.223.128.0/17 | 55.223.128.1 to 55.223.255.254 | 55.223.255.255 | 32,766 |
| 193 | 55.224.0.0/17 | 55.224.0.1 to 55.224.127.254 | 55.224.127.255 | 32,766 |
| 194 | 55.224.128.0/17 | 55.224.128.1 to 55.224.255.254 | 55.224.255.255 | 32,766 |
| 195 | 55.225.0.0/17 | 55.225.0.1 to 55.225.127.254 | 55.225.127.255 | 32,766 |
| 196 | 55.225.128.0/17 | 55.225.128.1 to 55.225.255.254 | 55.225.255.255 | 32,766 |
| 197 | 55.226.0.0/17 | 55.226.0.1 to 55.226.127.254 | 55.226.127.255 | 32,766 |
| 198 | 55.226.128.0/17 | 55.226.128.1 to 55.226.255.254 | 55.226.255.255 | 32,766 |
| 199 | 55.227.0.0/17 | 55.227.0.1 to 55.227.127.254 | 55.227.127.255 | 32,766 |
| 200 | 55.227.128.0/17 | 55.227.128.1 to 55.227.255.254 | 55.227.255.255 | 32,766 |
| 201 | 55.228.0.0/17 | 55.228.0.1 to 55.228.127.254 | 55.228.127.255 | 32,766 |
| 202 | 55.228.128.0/17 | 55.228.128.1 to 55.228.255.254 | 55.228.255.255 | 32,766 |
| 203 | 55.229.0.0/17 | 55.229.0.1 to 55.229.127.254 | 55.229.127.255 | 32,766 |
| 204 | 55.229.128.0/17 | 55.229.128.1 to 55.229.255.254 | 55.229.255.255 | 32,766 |
| 205 | 55.230.0.0/17 | 55.230.0.1 to 55.230.127.254 | 55.230.127.255 | 32,766 |
| 206 | 55.230.128.0/17 | 55.230.128.1 to 55.230.255.254 | 55.230.255.255 | 32,766 |
| 207 | 55.231.0.0/17 | 55.231.0.1 to 55.231.127.254 | 55.231.127.255 | 32,766 |
| 208 | 55.231.128.0/17 | 55.231.128.1 to 55.231.255.254 | 55.231.255.255 | 32,766 |
| 209 | 55.232.0.0/17 | 55.232.0.1 to 55.232.127.254 | 55.232.127.255 | 32,766 |
| 210 | 55.232.128.0/17 | 55.232.128.1 to 55.232.255.254 | 55.232.255.255 | 32,766 |
| 211 | 55.233.0.0/17 | 55.233.0.1 to 55.233.127.254 | 55.233.127.255 | 32,766 |
| 212 | 55.233.128.0/17 | 55.233.128.1 to 55.233.255.254 | 55.233.255.255 | 32,766 |
| 213 | 55.234.0.0/17 | 55.234.0.1 to 55.234.127.254 | 55.234.127.255 | 32,766 |
| 214 | 55.234.128.0/17 | 55.234.128.1 to 55.234.255.254 | 55.234.255.255 | 32,766 |
| 215 | 55.235.0.0/17 | 55.235.0.1 to 55.235.127.254 | 55.235.127.255 | 32,766 |
| 216 | 55.235.128.0/17 | 55.235.128.1 to 55.235.255.254 | 55.235.255.255 | 32,766 |
| 217 | 55.236.0.0/17 | 55.236.0.1 to 55.236.127.254 | 55.236.127.255 | 32,766 |
| 218 | 55.236.128.0/17 | 55.236.128.1 to 55.236.255.254 | 55.236.255.255 | 32,766 |
| 219 | 55.237.0.0/17 | 55.237.0.1 to 55.237.127.254 | 55.237.127.255 | 32,766 |
| 220 | 55.237.128.0/17 | 55.237.128.1 to 55.237.255.254 | 55.237.255.255 | 32,766 |
| 221 | 55.238.0.0/17 | 55.238.0.1 to 55.238.127.254 | 55.238.127.255 | 32,766 |
| 222 | 55.238.128.0/17 | 55.238.128.1 to 55.238.255.254 | 55.238.255.255 | 32,766 |
| 223 | 55.239.0.0/17 | 55.239.0.1 to 55.239.127.254 | 55.239.127.255 | 32,766 |
| 224 | 55.239.128.0/17 | 55.239.128.1 to 55.239.255.254 | 55.239.255.255 | 32,766 |
| 225 | 55.240.0.0/17 | 55.240.0.1 to 55.240.127.254 | 55.240.127.255 | 32,766 |
| 226 | 55.240.128.0/17 | 55.240.128.1 to 55.240.255.254 | 55.240.255.255 | 32,766 |
| 227 | 55.241.0.0/17 | 55.241.0.1 to 55.241.127.254 | 55.241.127.255 | 32,766 |
| 228 | 55.241.128.0/17 | 55.241.128.1 to 55.241.255.254 | 55.241.255.255 | 32,766 |
| 229 | 55.242.0.0/17 | 55.242.0.1 to 55.242.127.254 | 55.242.127.255 | 32,766 |
| 230 | 55.242.128.0/17 | 55.242.128.1 to 55.242.255.254 | 55.242.255.255 | 32,766 |
| 231 | 55.243.0.0/17 | 55.243.0.1 to 55.243.127.254 | 55.243.127.255 | 32,766 |
| 232 | 55.243.128.0/17 | 55.243.128.1 to 55.243.255.254 | 55.243.255.255 | 32,766 |
| 233 | 55.244.0.0/17 | 55.244.0.1 to 55.244.127.254 | 55.244.127.255 | 32,766 |
| 234 | 55.244.128.0/17 | 55.244.128.1 to 55.244.255.254 | 55.244.255.255 | 32,766 |
| 235 | 55.245.0.0/17 | 55.245.0.1 to 55.245.127.254 | 55.245.127.255 | 32,766 |
| 236 | 55.245.128.0/17 | 55.245.128.1 to 55.245.255.254 | 55.245.255.255 | 32,766 |
| 237 | 55.246.0.0/17 | 55.246.0.1 to 55.246.127.254 | 55.246.127.255 | 32,766 |
| 238 | 55.246.128.0/17 | 55.246.128.1 to 55.246.255.254 | 55.246.255.255 | 32,766 |
| 239 | 55.247.0.0/17 | 55.247.0.1 to 55.247.127.254 | 55.247.127.255 | 32,766 |
| 240 | 55.247.128.0/17 | 55.247.128.1 to 55.247.255.254 | 55.247.255.255 | 32,766 |
| 241 | 55.248.0.0/17 | 55.248.0.1 to 55.248.127.254 | 55.248.127.255 | 32,766 |
| 242 | 55.248.128.0/17 | 55.248.128.1 to 55.248.255.254 | 55.248.255.255 | 32,766 |
| 243 | 55.249.0.0/17 | 55.249.0.1 to 55.249.127.254 | 55.249.127.255 | 32,766 |
| 244 | 55.249.128.0/17 | 55.249.128.1 to 55.249.255.254 | 55.249.255.255 | 32,766 |
| 245 | 55.250.0.0/17 | 55.250.0.1 to 55.250.127.254 | 55.250.127.255 | 32,766 |
| 246 | 55.250.128.0/17 | 55.250.128.1 to 55.250.255.254 | 55.250.255.255 | 32,766 |
| 247 | 55.251.0.0/17 | 55.251.0.1 to 55.251.127.254 | 55.251.127.255 | 32,766 |
| 248 | 55.251.128.0/17 | 55.251.128.1 to 55.251.255.254 | 55.251.255.255 | 32,766 |
| 249 | 55.252.0.0/17 | 55.252.0.1 to 55.252.127.254 | 55.252.127.255 | 32,766 |
| 250 | 55.252.128.0/17 | 55.252.128.1 to 55.252.255.254 | 55.252.255.255 | 32,766 |
| 251 | 55.253.0.0/17 | 55.253.0.1 to 55.253.127.254 | 55.253.127.255 | 32,766 |
| 252 | 55.253.128.0/17 | 55.253.128.1 to 55.253.255.254 | 55.253.255.255 | 32,766 |
| 253 | 55.254.0.0/17 | 55.254.0.1 to 55.254.127.254 | 55.254.127.255 | 32,766 |
| 254 | 55.254.128.0/17 | 55.254.128.1 to 55.254.255.254 | 55.254.255.255 | 32,766 |
| 255 | 55.255.0.0/17 | 55.255.0.1 to 55.255.127.254 | 55.255.127.255 | 32,766 |
| 256 | 55.255.128.0/17 | 55.255.128.1 to 55.255.255.254 | 55.255.255.255 | 32,766 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |